# ESA API

## ESA CReMAS

### `JUICE_CREAMS`
```{eval-rst}
.. autoattribute:: moon_coverage.esa.JUICE_CREMAS
```
### `ESA_CREMAS`
```{eval-rst}
.. autoattribute:: moon_coverage.esa.ESA_CREMAS
```
### `EsaCremasCollection`
```{eval-rst}
.. autoclass:: moon_coverage.esa.EsaCremasCollection
```
### `get_mk()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.get_mk
```
### `get_tag()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.get_tag
```

## ESA event files

### `EsaMissionEvents`
```{eval-rst}
.. autoclass:: moon_coverage.esa.EsaMissionEvents
```
### `EsaMissionPhases`
```{eval-rst}
.. autoclass:: moon_coverage.esa.EsaMissionPhases
```
### `EsaMissionTimeline`
```{eval-rst}
.. autoclass:: moon_coverage.esa.EsaMissionTimeline
```

## ESA export functions

### `export_timeline()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.export.export_timeline
```
### `extract_segments()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.export.extract_segments
```
### `format_csv()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.export.format_csv
```
### `format_json()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.export.format_json
```
### `format_evf()`
```{eval-rst}
.. autofunction:: moon_coverage.esa.export.format_evf
```
