"""Test miscellaneous list toolbox module."""

from pytest import raises

from moon_coverage.misc import rindex


def test_list_rindex():
    """Test search of the last index of a reference."""
    assert rindex([1, 2, 3], 2) == 1
    assert rindex([1, 2, 3, 2], 2) == 3
    assert rindex([1, 2, 3, 2, 3], 2) == 3

    with raises(ValueError):
        _ = rindex([1, 1, 1], 2)
